aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2017-04-28 13:21:35 +0000
committerTimo Teräs <timo.teras@iki.fi>2017-04-28 13:22:14 +0000
commit66bd6d6deecff7b180a2b0e56700b531f82acf7a (patch)
tree18e5d7ad6df1e89cafa0a250ef698d25514f53c6
parentfd2f7d89af2ed10eb4bdf11fbee0702d8cdad96a (diff)
downloadaports-66bd6d6deecff7b180a2b0e56700b531f82acf7a.tar.gz
aports-66bd6d6deecff7b180a2b0e56700b531f82acf7a.tar.bz2
aports-66bd6d6deecff7b180a2b0e56700b531f82acf7a.tar.xz
main/perl-cgi: upgrade to 4.36
-rw-r--r--main/perl-cgi/APKBUILD39
1 files changed, 23 insertions, 16 deletions
diff --git a/main/perl-cgi/APKBUILD b/main/perl-cgi/APKBUILD
index d454f1fb6e..040d1f6e19 100644
--- a/main/perl-cgi/APKBUILD
+++ b/main/perl-cgi/APKBUILD
@@ -1,41 +1,48 @@
-# Automatically generated by apkbuild-cpan, template 1
+# Automatically generated by apkbuild-cpan, template 2
# Contributor: Timo Teräs <timo.teras@iki.fi>
# Maintainer: Timo Teräs <timo.teras@iki.fi>
pkgname=perl-cgi
_pkgreal=CGI
-pkgver=4.35
+pkgver=4.36
pkgrel=0
pkgdesc="Handle Common Gateway Interface requests and responses"
url="http://search.cpan.org/dist/CGI/"
arch="noarch"
license="GPL PerlArtistic"
cpandepends="perl-html-parser"
-cpanmakedepends=" perl-test-warn perl-test-deep "
+cpanmakedepends=""
+cpancheckdepends="perl-test-nowarnings perl-test-deep perl-test-warn"
depends="$cpandepends"
makedepends="perl-dev $cpanmakedepends"
+checkdepends="$cpancheckdepends"
subpackages="$pkgname-doc"
source="http://search.cpan.org/CPAN/authors/id/L/LE/LEEJO/$_pkgreal-$pkgver.tar.gz"
-
-_builddir="$srcdir/$_pkgreal-$pkgver"
+builddir="$srcdir/$_pkgreal-$pkgver"
prepare() {
- cd "$_builddir"
- PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ default_prepare || return 1
+
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
}
build() {
- cd "$_builddir"
- make && make test
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ make
}
package() {
- cd "$_builddir"
- make install DESTDIR="$pkgdir" || return 1
- find "$pkgdir" -name perllocal.pod -delete
- find "$pkgdir" -name .packlist -delete
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
}
+check() {
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ make test
+}
-md5sums="15e63942c02354426b25f056f2a4467c CGI-4.35.tar.gz"
-sha256sums="0b34cdc59f596632b0620939286f6e18e7e81d043b6b57b974a8e07d18b5fc1d CGI-4.35.tar.gz"
-sha512sums="e4a25535b654439605ec9de3cd86dd84a4ce510d8ab459d693019b206e2123613a17cf281c21454baf39c7216c3d9fa2dbef7321709f341ba7f3c59bf765e23c CGI-4.35.tar.gz"
+sha512sums="1fc1c2647be90ac7c75fe29c590c438993baa4b29bf7d6d0b24a7e998955aae86f31c5849eb871be6399e783e166d54f6146723dfc20dd757860e85f7836fb1c CGI-4.36.tar.gz"